Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.example.tt
Class Activity

    java.lang.Object
      ifs.model.Variable
          ifs.example.tt.Activity

All Implemented Interfaces:
  Comparable

    public class Activity

extends Variable

Activity (variable). It encodes a name, length

Version:
  1.0
Author:
  Tomáš Müller

Field Summary

Fields inherited from class ifs.model.Variable
`iValue`

Constructor Summary
`Activity(int length, String id, String name)`

Method Summary
`void` | `addDiscouragedSlot(int slot)`
`void` | `addDiscouragedSlot(int day, int hour)`
`void` | `addProhibitedSlot(int slot)`
`void` | `addProhibitedSlot(int day, int hour)`
`void` | `addResourceGroup(Resource resource)`
`void` | `addResourceGroup(Resource[] resources)`
`void` | `addResourceGroup(Vector resources)`
`Vector` | `computeValues()`
`String` | `getActivityId()`
`Set` | `getDiscouragedSlots()`
`int` | `getLength()`
`String` | `getName()` Variable's name -- for printing purposes
`Set` | `getProhibitedSlots()`
`Vector` | `getResourceGroup(int idx)`
`Vector` | `getResourceGroups()`
`void` | `init()`
`boolean` | `isDiscouragedSlot(int slot)`
`boolean` | `isDiscouragedSlot(int day, int hour)`
`boolean` | `isProhibited(int day, int hour, int length)`
`boolean` | `isProhibitedSlot(int slot)`
`boolean` | `isProhibitedSlot(int day, int hour)`

Methods inherited from class ifs.model.Variable
`addContstraint, addVariableListener, assign, compareTo, constraints, constraintVariables, countAssignments, equals, getAssignment, getBestAssignment, getBestAssignmentIteration, getDescription, getExtra, getId, getInitialAssignment, getModel, hardConstraints, hasAssignment, hashCode, hasInitialAssignment, lastAssignmentIteration, lastUnassignmentIteration, removeContstraint, removeInitialValue, removeValue, removeVariableListener, setBestAssignment, setExtra, setInitialAssignment, setModel, setValues, softConstraints, toString, unassign, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Activity

    public Activity(int length,
                    String id,
                    String name)

Method Detail

### getName

    public String getName()

  Description copied from class: `Variable`
  Variable's name -- for printing purposes

  Overrides:
    `getName` in class `Variable`

### getActivityId

    public String getActivityId()

### getLength

    public int getLength()

### addResourceGroup

    public void addResourceGroup(Vector resources)

### addResourceGroup

    public void addResourceGroup(Resource[] resources)

### addResourceGroup

    public void addResourceGroup(Resource resource)

### getResourceGroup

    public Vector getResourceGroup(int idx)

### getResourceGroups

    public Vector getResourceGroups()

### getProhibitedSlots

    public Set getProhibitedSlots()

### getDiscouragedSlots

    public Set getDiscouragedSlots()

### addProhibitedSlot

    public void addProhibitedSlot(int day,
                                  int hour)

### addDiscouragedSlot

    public void addDiscouragedSlot(int day,
                                   int hour)

### isProhibitedSlot

    public boolean isProhibitedSlot(int day,
                                    int hour)

### isDiscouragedSlot

    public boolean isDiscouragedSlot(int day,
                                     int hour)

### addProhibitedSlot

    public void addProhibitedSlot(int slot)

### addDiscouragedSlot

    public void addDiscouragedSlot(int slot)

### isProhibitedSlot

    public boolean isProhibitedSlot(int slot)

### isDiscouragedSlot

    public boolean isDiscouragedSlot(int slot)

### isProhibited

    public boolean isProhibited(int day,
                                int hour,
                                int length)

### init

    public void init()

### computeValues

    public Vector computeValues()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller